# Mods

These two resource-packs are preinstalled:
- [`Better Leaves` by MidnightDust](https://modrinth.com/resourcepack/better-leaves)

## Included
### Performance
- `Chunky Pregenerator` — pre-generate chunks (server-only)
- `Dynamic FPS` — reduces FPS when in background
- `Krypton` — network stack optimisation
- `LazyDFU` — improves startup time
- `Lithium` — general-purpose optimisation
- `Sodium` — rendering engine replacement

### Graphics
- `Animatica` — animated textures
- `Bobby` — allows render distances greater than the server’s limit
- `cat_jam` — cats jam to the rhythm of music discs
- `Continuity` — connected textures
- `Enhanced Block Entities` — smooth lighting on block entities (+ performance improvements)
- `Entity Texture Features` — random+emissive textures
- `Falling Leaves` — falling leaves particles
- `Iris Shaders` — shaders
- `Make Bubbles Pop`
- `Not Enough Animations` — third-person animations
- `Sodium Extra` — more settings

### World generation
- `ChoiceTheorem's Overhauled Village` — more village types
- `Incendium` — more biomes and structures in the Nether
- `Nullscape` — more biomes and structures in the End
- `Terralith` — more biomes and structures in the Overworld
- `Deeper and Darker` — enhance the Deep Dark
- `YUNG's Better Dungeons`
- `YUNG's Better Mineshafts`
- `YUNG's Better Nether Fortresses`
- `YUNG's Better Ocean Monuments`
- `YUNG's Better Strongholds`
- `Wilder Wild`

### Building blocks
- `Adorn` — furniture
- `Chipped` — more block variants
- `Crate Delight` — food crates
- `Create: Bells & Whistles` — more Create-style blocks
- `Create: Crystal Clear` — glass casings
- `Create: Extended Cogwheels` — more cog types for `Create`
- `Display Case` — block displaying a single item
- `Handcrafted` — furniture
- `Infinity Buttons` — more buttons
- `Lanterns Belong on Walls` — allows placing lanterns on walls
- `Light Emitting Diode` — colored lamps
- `Macaw's Paintings` — more paintings
- `Macaw's Roofs`
- `Macaw's Bridges`
- `Macaw's Doors`
- `Macaw's Fences and Walls`
- `Macaw's Paths and Pavings`
- `Storage Delight` — kitchen furniture
- `Twigs` — various blocks

### Technology
- `Ad Astra` — space exploration
- `Applied Energistics 2` — automation and storage
- `Applied Energistics 2 Wireless Terminals`
- `Botania` — natural magic themed tech
- `CC: Tweaked` — computers
- `Create`
- `Create Crafts & Additions` — bridge between electricity and kinetic energy <sup>wrong semver</sup>
- `Create Enchantment Industry` — automatic enchanting with `Create`
- `Create Jetpack`
- `Create: New Age` — `Create`-style electricity
- `Create Utilities` — teleportation features for `Create` <sup>wrong semver</sup>
- `Create: Steam 'n' Rails` — enhances `Create`’s railway system
- `Hephaestus` — smeltery, tools and weapons
- `Small Ships`

### GUI
- `AppleSkin` — hunger/health-related HUD improvements
- `Better Statistics Screen`
- `EMI` — item and recipe viewer
- `EMI Enchanting` — enchantments in `EMI`
- `EMI Loot` — loot drops in `EMI`
- `EMI Ores` — ore generation in `EMI`
- `EMI Trades` — villager trades in `EMI`
- `Enchantment Descriptions`
- `Jade 🔍` — information about what you are looking at
- `Jade Addons`
- `Mod Menu` — adds a mod menu
- `Paginated Advancements` — improved advancements screen
- `Raised` — corrects the hotbar position
- `Reese's Sodium Options` — replaces the graphics settings
- `Xaero's Minimap`
- `Xaero's World Map`

### Compatibility
- `AE2 EMI Crafting Integration` — `EMI` + `Applied Energistics 2`
- `CC:C Bridge` — `Create` + `CC: Tweaked`
- `Create Slice & Dice` — `Create` + `Farmer's Delight`
- `EMI Addon: Extra Mod Integrations` — `EMI` + `Hephaestus` + `Farmers' Delight` + `Conjuring`
- `Fabric Seasons: Terralith Compat` — `Fabric Seasons` + `Terralith`
- `Fabric Seasons: Delight Compat` — `Fabric Seasons` + `Farmer's Delight`
- `Indium` — `Lithium` + `Fabric Rendering API`
- `Iris Flywheel Compat` — `Iris Shaders` + `Create` <sup>wrong semver</sup>

### Food
- `Create: Garnished` — different food items, mainly nuts
- `Corn Delight` — addon for `Farmer's Delight`
- `Cultural Delights` — addon for `Farmer's Delight`
- `Expanded Delight` — addon for `Farmer's Delight`
- `Farmer's Delight` — expansion of farming and cooking
- `Fright's Delight` — addon for `Farmer's Delight`
- `Garnished Additions` — even more food items
- `More Delight` — addon for `Farmer's Delight`
- `Ocean's Delight` — addon for `Farmer's Delight`
- `Ube's Delight` — addon for `Farmer's Delight`

### Miscellaneous
- `Amecs` — better keybindings
- `Animal Feeding Trough` — block allowing animals to self-feed
- `Aquamirae` — watery things
- `Auth Me` — in-game session re-validation
- `Axes are Weapons` — allows sword enchantments for axes
- `Charm of Undying` — accessory support for the Totem of Undying
- `Client tweaks` — various QoL features
- `Conjuring` — fast spawners and powerful tools
- `Crawl` — allows to crawl by pressing a key
- `Debugify` — fixes various bugs
- `Discs Where Discs Shouldn't Be` — more music discs
- `Easy Anvils` — overhauls anvils
- `Extra Enchantments and Curses` — more enchantments
- `Elytra Slot`
- `Fabric Seasons` — four seasons
- `Fabric Seasons: Extras` — addon for `Fabric Seasons`
- `Fabric Waystones` — waystones
- `Freecam` — control your camera separately from your player
- `Grappling Hook Mod: Restitched`
- `Gravestones`
- `Ice Boat nerf` — boats don’t go extra fast on ice
- `Immersive Melodies` — musical instruments
- `Infusion Table` — enchanted item → enchanted book
- `Lighty` — light-level overlay
- `More Music Discs` — more music discs
- `Mouse Tweaks`
- `Nature's Compass` — biome compass
- `Replanting Crops` — automatically replants crops harvested with a hoe
- `Sophisticated Backpacks`
- `Stack Refill` — automatically refills the player’s hand
- `Storage Drawers`
- `Supplementaries` — various items
- `Tree Harvester` — fast tree harvesting + fast leaf decay
- `Zoomify` — zoom

### Modpack utilities
- `Global Packs`
- `Hide Experimental Warning` — removes experimental world settings warnings
- `Main Menu Credits`
- `OneTimeOverrides`
- `Remove Terralith Intro Message`

### Library
- `Architectury` — required by `Animal Feeding Trough`
- `Athena` — required by `Chipped`
- `Balm` — required by `Cooking for Blockheads`
- `Bookshelf` — required by `Enchantment Description`
- `Botarium` — required by `Ad Astra`, `Create: New Age`
- `Cloth Config API` — required by several mods
- `Collective` — required by `Stack Refill`, `Tree Harvester`, `Replanting Crops` <sup>wrong semver</sup>
- `Fabric API`
- `Fabric Language Kotlin` — required by several mods
- `Forge Config API Port` — required by `Puzzles Lib`, `Easy Anvils`
- `Fzzy Config` — required by `EMI Loot`
- `Lithostitched` — required by `ChoiceTheorem's Overhauled Village`
- `Moonlight Lib` — required by `Supplementaries`
- `Obscure API` — required by `Aquamirae`
- `oωo` — required by `Fabric Waystones`, `Infinity Buttons`
- `Patchouli` — required by `Botania`
- `Puzzles Lib` — required by `Easy Anvils`
- `Resourceful Config` — required by `Ad Astra`
- `Resourceful Lib` — required by `Ad Astra`, `Chipped`, `Handcrafted`
- `Sophisticated Core` — required by `Sophisticated Backpacks`
- `Statement` — required by `Lanterns Belong on Walls`
- `TCDCommons API` — required by `Better Statistics Screen`
- `Trinkets` — required by several mods
- `YetAnotherConfigLib` — required by `Zoomify`
- `YUNG's API` — required by `YUNG's ...` mods

## Not included
### Experimental
These mods would be in the pack if they were stable/finished.
- `Concurrent Chunk Management Engine` — multithreaded chunk management
- `Consistency+`
- `Dimensional Doors` — teleportation and extra dimensions
- `End's Delight` — addon for `Farmer's Delight`
- `Eureka` — custom ships, compatible with Create
- `Immersive Portals`
- `Hephaestus Expansion` — more weapons for `Hephaestus`

### Incompatible loader/version
- `Brewin' And Chewin'` — addon for `Farmer's Delight`
- `Campanion` — various camping-themed items
- `Festive Delight` — addon for `Farmer's Delight`
- `Utility belt`

## In consideration
- `Culinaire` — more food items: no interoperability with `Farmer's Delight`, leading to duplication.